/* Copyright 2013 VMware, Inc. All rights reserved. -- VMware Confidential */

package com.vmware.samples.chassisrackvsphereui {

import mx.resources.ResourceManager;

/** Various utilities */
public class Util {
   private static var BUNDLE_NAME:String = "com_vmware_samples_chassisrackvsphere";

   /**
    * Get a string resource from the default plugin bundle, or return null if not found.
    */
   public static function getString(key:String, parameters:Array = null) : String {
      return ResourceManager.getInstance().getString(BUNDLE_NAME, key, parameters);
   }

   /**
    * Get an image resource from the default plugin bundle, or return null if not found.
    */
   public static function getImage(key:String) : Class {
      return ResourceManager.getInstance().getClass(BUNDLE_NAME, key);
   }

}
}