/* Copyright 2011 VMware, Inc. All rights reserved. -- VMware Confidential */
package com.vmware.samples.globalview;

/**
 * Simple data model for the globalview Settings example.
 * See the Actionscript version of this class in GlobalSettings.as in order to
 * use the same type on the Flex UI side.
 *
 * Note: for more complex types see the Actionscript-Java serialization documentation
 */
public class GlobalSettings {
   // Note: only public fields can be serialized to Flex
   public String setting1;
   public String setting2;
   public SettingEnum setting3;

   public GlobalSettings() {
      // An empty constructor is required for the AMF serialization to work!
   }

   public GlobalSettings(String data1, String data2, SettingEnum data3) {
      setting1 = data1;
      setting2 = data2;
      setting3 = data3;
   }
}
